Anfälligkeitssuche        Suche in 172616 CVE Beschreibungen
und 81291 Test Beschreibungen,
Zugriff auf 10,000+ Quellverweise.
Tests   CVE   Alle  

CVE Kennung:CVE-2005-0247
Beschreibung:Multiple buffer overflows in gram.y for PostgreSQL 8.0.1 and earlier may allow attackers to execute arbitrary code via (1) a large number of variables in a SQL statement being handled by the read_sql_construct function, (2) a large number of INTO variables in a SELECT statement being handled by the make_select_stmt function, (3) a large number of arbitrary variables in a SELECT statement being handled by the make_select_stmt function, and (4) a large number of INTO variables in a FETCH statement being handled by the make_fetch_stmt function, a different set of vulnerabilities than CVE-2005-0245.
Test Kennungen: 1.3.6.1.4.1.25623.1.0.54368   1.3.6.1.4.1.25623.1.0.52185   1.3.6.1.4.1.25623.1.0.51661   1.3.6.1.4.1.25623.1.0.51669   1.3.6.1.4.1.25623.1.0.54851   1.3.6.1.4.1.25623.1.0.52562   1.3.6.1.4.1.25623.1.0.54312   1.3.6.1.4.1.25623.1.0.52563  
Querverweise: Common Vulnerability Exposure (CVE) ID: CVE-2005-0247
BugTraq ID: 12417
http://www.securityfocus.com/bid/12417
Bugtraq: 20050210 [USN-79-1] PostgreSQL vulnerabilities (Google Search)
http://marc.info/?l=bugtraq&m=110806034116082&w=2
Debian Security Information: DSA-683 (Google Search)
http://www.debian.org/security/2005/dsa-683
http://www.gentoo.org/security/en/glsa/glsa-200502-19.xml
http://www.mandriva.com/security/advisories?name=MDKSA-2005:040
http://archives.postgresql.org/pgsql-committers/2005-02/msg00049.php
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9345
RedHat Security Advisories: RHSA-2005:138
http://www.redhat.com/support/errata/RHSA-2005-138.html
RedHat Security Advisories: RHSA-2005:150
http://www.redhat.com/support/errata/RHSA-2005-150.html
SuSE Security Announcement: SUSE-SA:2005:027 (Google Search)
http://www.novell.com/linux/security/advisories/2005_27_postgresql.html
SuSE Security Announcement: SUSE-SA:2005:036 (Google Search)
http://www.novell.com/linux/security/advisories/2005_36_sudo.html
XForce ISS Database: postgresql-fetch-makefetchstmt-bo(19378)
https://exchange.xforce.ibmcloud.com/vulnerabilities/19378
XForce ISS Database: postgresql-makeselectstmt-arbitrary-bo(19377)
https://exchange.xforce.ibmcloud.com/vulnerabilities/19377
XForce ISS Database: postgresql-makeselectstmt-input-bo(19376)
https://exchange.xforce.ibmcloud.com/vulnerabilities/19376
XForce ISS Database: postgresql-readsqlconstruct-bo(19375)
https://exchange.xforce.ibmcloud.com/vulnerabilities/19375




© 1998-2020 E-Soft Inc. Alle Rechte vorbehalten.